Skip to main content
Update Message Thread
curl --request PATCH \
  --url https://{api_endpoint}/v1/threads/{thread_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "status": "ready",
  "updated_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://{api_endpoint}/v1/threads/{thread_id}"

payload = {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "ready",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
knowledge_base_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
status: 'ready',
updated_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://{api_endpoint}/v1/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

thread_id
string
required

Body

application/json
assistant_id
string<uuid> | null
agent_id
string<uuid> | null
knowledge_base_id
string<uuid> | null
title
string | null
status
enum<string> | null
default:ready
Available options:
async_wait,
ready,
async_slot_request,
async_a2a_slot_request
updated_at
string<date-time> | null

Response

Successful Response